Bug 120820 - Web interface for config-kickstart
Web interface for config-kickstart
Product: Fedora
Classification: Fedora
Component: system-config-kickstart (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-04-14 03:20 EDT by Mark Heslep
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-11 15:56:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark Heslep 2004-04-14 03:20:44 EDT
Several good projects exist that produce ks files from  dynamically
generated web forms such as Brian Long's Kickstart tools
(http://kickstart-tools.sf.net/ )  and NC State's   web-kickstart 
(http://linux.ncsu.edu/projects/web-kickstart/) to name just two.
However, rolling your own ks web form effectively creates your own
personal fork of  ..config-kickstart that must then be maintained and
so loses the leverage of the  mainstream RH/Fedora tool.  The recent
addition of  the SElinux  switch  and the included hardward lists come
to mind as details I'd rather not be updating on web scripts.
Thus this RFE for a web interface for ks, something along the lines 
SWAT for Samba?

Put me down as willing to contribute some code.


Note You need to log in before you can comment on or make changes to this bug.